<h2>Редактирование категории материалов</h2>
<script type="text/javascript">
    $(document).ready(function () {
        $('.categoryMaterials-save').submit(function () {
            var form = $(this);
            var success = function(response) {
                if (response.status == 'ok') {
                    var data = response.data;
                    if(data.id) {
                        window.location.href = '?module=costs&action=categoryMaterialsEdit&id='+data.id;
                    }
                } else {
                    alert(response.errors.join(','));
                }
            };
            $.ajax({
                url: form.attr('action'),
                data: form.serialize(),
                type: 'post',
                dataType: 'json',
                success: success
            });
            return false;
        });

    });
</script>
<form  action="?module=costs&action=categoryMaterialsSave"  class="categoryMaterials-save" method="post">
    {if $category}
    <input type="hidden" name="id" value="{$category['id']}">
    {/if}
    <table class="light" style="width: 400px; margin-left: 30px;">
        <tr>
            <td>Название категории:</td>
            <td><input  type="text" name="name" value="{if $category}{$category['name']}{/if}" maxlength="255"></td>
        </tr>
        <tr>
            <td></td>
            <td><input type="submit" value="{if $category}Сохранить{else}Добавить{/if}" class="button green"></td>
        </tr>
    </table></form>
